JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Expression::Symbol Struct Reference
juce_core » maths

Represents a symbol that is used in an Expression. More...

`#include <juce_Expression.h>`

## Public Member Functions
| Symbol (const String &scopeUID, const String &symbolName)
bool | operator== (const Symbol &) const noexcept
bool | operator!= (const Symbol &) const noexcept

## Public Attributes
String | scopeUID
| The unique ID of the Scope that contains this symbol.
String | symbolName
| The name of the symbol.

## Detailed Description

Represents a symbol that is used in an Expression.

## Constructor & Destructor Documentation

## ◆ Symbol()

Expression::Symbol::Symbol | ( | const String & | scopeUID,
|  | const String & | symbolName )

## Member Function Documentation

## ◆ operator==()

bool Expression::Symbol::operator== | ( | const Symbol & |  | ) | const
| noexcept

## ◆ operator!=()

bool Expression::Symbol::operator!= | ( | const Symbol & |  | ) | const
| noexcept

## Member Data Documentation

## ◆ scopeUID

String Expression::Symbol::scopeUID

The unique ID of the Scope that contains this symbol.

## ◆ symbolName

String Expression::Symbol::symbolName

The name of the symbol.

The documentation for this struct was generated from the following file:

- juce_Expression.h